Package org.eclipse.wst.xsl.ui.internal.editor

## org.eclipse.wst.xsl.ui.internal.editor
Class OverrideIndicatorManager

    public class OverrideIndicatorManager
    extends java.lang.Object

Manages the override and overwrite indicators for the given Java element and annotation model.

## Field Summary

`package-private static java.lang.String` | `ANNOTATION_TYPE`

## Constructor Summary

`OverrideIndicatorManager(IAnnotationModel annotationModel , IFile file)`

## Method Summary

`package-private void` | `removeAnnotations()` Removes all override indicators from this manager's annotation model.
`public void` | `updateAnnotations()` Updates the override and implements annotations based on the given AST.

## Field Detail

## ANNOTATION_TYPE

`package-private static java.lang.String ANNOTATION_TYPE`

## Constructor Detail

## OverrideIndicatorManager

`public OverrideIndicatorManager(IAnnotationModel annotationModel , IFile file)`

Constructor requires the editors annotation model and the file the editor is looking at.

## Methods Detail

## removeAnnotations

`package-private void removeAnnotations()`

Removes all override indicators from this manager's annotation model.

## updateAnnotations

`public void updateAnnotations()`

Updates the override and implements annotations based on the given AST.